Name:		fast_float
Summary:	fast_float number parsing library: 4x faster than strtod
Version:	8.0.2
Release:	%mkrel 1
Group:		Development/C++
# README.md:
#   Licensed under either of Apache License, Version 2.0 or MIT license or
#   BOOST license.
License:        Apache-2.0 OR MIT OR BSL-1.0
Url:		https://github.com/fastfloat/fast_float
Source0:	https://github.com/fastfloat/fast_float/archive/v%{version}/fast_float-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	cmake

%description
The fast_float library provides fast header-only implementations for the C++
from_chars functions for float and double types as well as integer types. These
functions convert ASCII strings representing decimal values (e.g., 1.3e10) into
binary types. We provide exact rounding (including round to even). In our
experience, these fast_float functions many times faster than comparable
number-parsing functions from existing C++ standard libraries.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%license LICENSE-*
%doc AUTHORS CONTRIBUTORS README* SECURITY*
%{_includedir}/fast_float/
%{_datadir}/cmake/FastFloat/


%changelog
* Wed Jun 18 2025 daviddavid <daviddavid> 8.0.2-1.mga10
+ Revision: 2192597
- new version: 8.0.2

* Tue Mar 25 2025 daviddavid <daviddavid> 8.0.1-1.mga10
+ Revision: 2169815
- new version 8.0.1

* Wed Jan 08 2025 daviddavid <daviddavid> 7.0.0-1.mga10
+ Revision: 2136230
- new version: 7.0.0

* Sat Oct 05 2024 wally <wally> 6.1.6-1.mga10
+ Revision: 2103582
- new version 6.1.6

* Tue Aug 27 2024 neoclust <neoclust> 6.1.4-1.mga10
+ Revision: 2091645
- New version 6.1.4

* Thu Jul 25 2024 daviddavid <daviddavid> 6.1.3-1.mga10
+ Revision: 2082522
- new version: 6.1.3

* Sun May 05 2024 wally <wally> 6.1.1-1.mga10
+ Revision: 2062354
- imported package fast_float

